[Qa-jenkins-scm] Build failed in Jenkins: reproducible_openwrt #241

jenkins at jenkins.debian.net jenkins at jenkins.debian.net
Wed Jul 11 09:21:38 BST 2018


See <https://jenkins.debian.net/job/reproducible_openwrt/241/display/redirect>

------------------------------------------
[...truncated 386.08 KB...]
+ dpkg -s libc6-dev
+ echo ' </td></tr>'
+ for i in gcc binutils bzip2 flex python perl make findutils grep diffutils unzip gawk util-linux zlib1g-dev libc6-dev git subversion
+ echo ' <tr><td>git</td><td>'
+ grep '^Version'
+ cut -d ' ' -f2
+ dpkg -s git
+ echo ' </td></tr>'
+ for i in gcc binutils bzip2 flex python perl make findutils grep diffutils unzip gawk util-linux zlib1g-dev libc6-dev git subversion
+ echo ' <tr><td>subversion</td><td>'
+ cut -d ' ' -f2
+ grep '^Version'
+ dpkg -s subversion
/var/lib/jenkins
+ echo ' </td></tr>'
+ echo '</table>'
+ cd -
+ trap - INT TERM EXIT
+ exit 0
Wed Jul 11 08:20:49 UTC 2018 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-ocR69MTO, which will now be removed.
+ ssh profitbricks-build4-amd64.debian.net reproducible_openwrt node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
====================================================================================

Tue Aug 13 14:44:06 UTC 2019 - running /srv/jenkins/bin/reproducible_openwrt.sh () on profitbricks-build4-amd64 now.

To learn to understand this, git clone https://salsa.debian.org/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_openwrt.sh,
has been called using "node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Tue Aug 13 14:44:06 UTC 2019 - start running "/srv/jenkins/bin/reproducible_openwrt.sh" (md5sum c9ff1514f5bc99fca8f382d41f3c7d55) as "/tmp/jenkins-script-v2ODKp3L" on profitbricks-build4-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="46.16.76.207 57736 22"
declare -x SSH_CONNECTION="46.16.76.207 57736 85.184.249.167 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_openwrt node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/105"
declare -x XDG_SESSION_ID="77771"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
/tmp/jenkins-script-v2ODKp3L got called with 'node node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU'
+ . /srv/jenkins/bin/reproducible_lede_common.sh
++ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
++ GENERIC_NODE2=profitbricks-build4-amd64.debian.net
+ set -e
+ echo '/tmp/jenkins-script-v2ODKp3L got called with '\''node' node_save_logs '/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU'\'''
+ case $1 in
+ shift
+ case $1 in
+ node_save_logs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ local tmpdir=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ '[' /srv/workspace/chroots/ '!=' /srv/workspace/chroots/ ']'
+ '[' 63 -le 23 ']'
+ '[' '!' -d /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU/build/source/logs ']'
+ touch /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU/build_logs.tar.xz
+ node_document_environment /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ local tmpdir=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ local toolchain_html=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU/toolchain.html
+ cd /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU/build/source
/srv/jenkins/bin/reproducible_lede_common.sh: line 81: cd: /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU/build/source: No such file or directory
Tue Aug 13 14:44:06 UTC 2019 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-v2ODKp3L, which will now be removed.
+ true
+ mkdir -p <https://jenkins.debian.net/job/reproducible_openwrt/ws/results/>
+ rsync -av profitbricks-build3-amd64.debian.net:/build_logs.tar.xz <https://jenkins.debian.net/job/reproducible_openwrt/241/artifact/results/build_logs_b1.tar.xz>
jenkins_node_wrapper.sh[8300] Command 'rsync --server --sender -vlogDtpre.iLsfxC . /build_logs.tar.xz' not found in allowed commands.
rsync: connection unexpectedly closed (0 bytes received so far) [Receiver]
rsync error: error in rsync protocol data stream (code 12) at io.c(235) [Receiver=3.1.2]
+ true
+ rsync -av profitbricks-build4-amd64.debian.net:/build_logs.tar.xz <https://jenkins.debian.net/job/reproducible_openwrt/241/artifact/results/build_logs_b2.tar.xz>
jenkins_node_wrapper.sh[36426] Command 'rsync --server --sender -vlogDtpre.iLsfxC . /build_logs.tar.xz' not found in allowed commands.
rsync: connection unexpectedly closed (0 bytes received so far) [Receiver]
rsync error: error in rsync protocol data stream (code 12) at io.c(235) [Receiver=3.1.2]
+ true
+ ssh profitbricks-build3-amd64.debian.net reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
====================================================================================

Wed Jul 11 08:20:52 UTC 2018 - running /srv/jenkins/bin/reproducible_openwrt.sh () on profitbricks-build3-amd64 now.

To learn to understand this, git clone https://salsa.debian.org/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_openwrt.sh,
has been called using "node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Wed Jul 11 08:20:53 UTC 2018 - start running "/srv/jenkins/bin/reproducible_openwrt.sh" (md5sum c9ff1514f5bc99fca8f382d41f3c7d55) as "/tmp/jenkins-script-5mTT3itq" on profitbricks-build3-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="46.16.76.207 47702 22"
declare -x SSH_CONNECTION="46.16.76.207 47702 78.137.96.53 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/105"
declare -x XDG_SESSION_ID="73750"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
+ . /srv/jenkins/bin/reproducible_lede_common.sh
++ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
++ GENERIC_NODE2=profitbricks-build4-amd64.debian.net
/tmp/jenkins-script-5mTT3itq got called with 'node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU'
+ set -e
+ echo '/tmp/jenkins-script-5mTT3itq got called with '\''node' node_cleanup_tmpdirs '/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU'\'''
+ case $1 in
+ shift
+ case $1 in
+ node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ export TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ cd
+ '[' /srv/workspace/chroots/ '!=' /srv/workspace/chroots/ ']'
+ '[' 63 -le 23 ']'
+ rm -rf /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
Wed Jul 11 08:21:32 UTC 2018 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-5mTT3itq, which will now be removed.
+ trap - INT TERM EXIT
+ exit 0
+ ssh profitbricks-build4-amd64.debian.net reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
====================================================================================

Tue Aug 13 14:44:48 UTC 2019 - running /srv/jenkins/bin/reproducible_openwrt.sh () on profitbricks-build4-amd64 now.

To learn to understand this, git clone https://salsa.debian.org/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_openwrt.sh,
has been called using "node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Tue Aug 13 14:44:48 UTC 2019 - start running "/srv/jenkins/bin/reproducible_openwrt.sh" (md5sum c9ff1514f5bc99fca8f382d41f3c7d55) as "/tmp/jenkins-script-IfVrsR8w" on profitbricks-build4-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="46.16.76.207 57946 22"
declare -x SSH_CONNECTION="46.16.76.207 57946 85.184.249.167 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_openwrt node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/105"
declare -x XDG_SESSION_ID="77773"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
/tmp/jenkins-script-IfVrsR8w got called with 'node node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU'
+ . /srv/jenkins/bin/reproducible_lede_common.sh
++ GENERIC_NODE1=profitbricks-build3-amd64.debian.net
++ GENERIC_NODE2=profitbricks-build4-amd64.debian.net
+ set -e
+ echo '/tmp/jenkins-script-IfVrsR8w got called with '\''node' node_cleanup_tmpdirs '/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU'\'''
+ case $1 in
+ shift
+ case $1 in
+ node_cleanup_tmpdirs /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ export TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ cd
+ '[' /srv/workspace/chroots/ '!=' /srv/workspace/chroots/ ']'
+ '[' 63 -le 23 ']'
+ rm -rf /srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU
+ trap - INT TERM EXIT
+ exit 0
Tue Aug 13 14:44:49 UTC 2019 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-IfVrsR8w, which will now be removed.
+ cd
+ '[' '' '!=' /srv/reproducible-results/ ']'
+ echo 'Something very strange with $RESULTSDIR= or $TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU, exiting instead of doing cleanup.'
Something very strange with $RESULTSDIR= or $TMPBUILDDIR=/srv/workspace/chroots/rbuild-openwrt-build-2018-07-10-XriEBvgU, exiting instead of doing cleanup.
+ exit 1
Wed 11 Jul 08:21:34 UTC 2018 - /srv/jenkins/bin/reproducible_openwrt.sh stopped running as /tmp/jenkins-script-Hwm8xCkF, which will now be removed.
Build step 'Execute shell' marked build as failure
Archiving artifacts



More information about the Qa-jenkins-scm mailing list